Backward compatibility of Parallels RAS and Clients

0 users found this article helpful

Information

Parallels RAS is backward compatible with Parallels Clients of all supported versions.

A version is supported until it reaches its "End of support" state. You can learn the term of support in this article.

Was this article helpful?

Tell us how we can improve it.